## linux-4.19 4.19.232

=== debian/changelog ===
linux-4.19 (4.19.232-1~deb9u1) stretch-security; urgency=high

  * Rebuild for stretch:
    - Change ABI number to 0.bpo.19

 -- Ben Hutchings <benh@debian.org>  Tue, 08 Mar 2022 14:55:15 +0100

linux (4.19.232-1) buster-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.209
    - ocfs2: drop acl cache for directories too
    - [arm*] usb: dwc2: gadget: Fix ISOC transfer complete handling for DDMA
    - [armhf] usb: musb: tusb6010: uninitialized data in
      tusb_fifo_write_unaligned()
    - cifs: fix incorrect check for null pointer in header_assemble
    - [x86] xen/x86: fix PV trap handling on secondary processors
    - USB: serial: cp210x: add ID for GW Instek GDM-834x Digital Multimeter
    - USB: cdc-acm: fix minor-number release
    - Re-enable UAS for LaCie Rugged USB3-FW with fk quirk
    - USB: serial: mos7840: remove duplicated 0xac24 device ID
    - USB: serial: option: add Telit LN920 compositions
    - USB: serial: option: remove duplicate USB device ID
    - USB: serial: option: add device id for Foxconn T99W265
    - [arm64] serial: mvebu-uart: fix driver's tx_empty callback
    - net: hso: fix muxed tty registration
    - bnxt_en: Fix TX timeout when TX ring size is set to the smallest
    - net/smc: add missing error check in smc_clc_prfx_set()
    - net/mlx4_en: Don't allow aRFS for encapsulated packets
    - scsi: iscsi: Adjust iface sysfs attr detection
    - [x86] tty: synclink_gt, drop unneeded forward declarations
    - [x86] tty: synclink_gt: rename a conflicting function name
    - thermal/core: Potential buffer overflow in
      thermal_build_list_of_policies()
    - [arm64,armhf] irqchip/gic-v3-its: Fix potential VPE leak on error
    - md: fix a lock order reversal in md_alloc
    - blktrace: Fix uaf in blk_trace access after removing by sysfs
    - [arm64,armhf] net: stmmac: allow CSR clock of 300MHz
    - xen/balloon: use a kernel thread instead a workqueue
    - nvme-multipath: fix ANA state updates when a namespace is not present
    - qnx4: avoid stringop-overread errors
    - [arm64] Mark __stack_chk_guard as __ro_after_init
    - net: 6pack: Fix tx timeout and slot time
    - [arm64] PCI: aardvark: Fix checking for PIO status
    - tcp: address problems caused by EDT misshaps
    - tcp: always set retrans_stamp on recovery
    - tcp: create a helper to model exponential backoff
    - tcp: adjust rto_base in retransmits_timed_out()
    - xen/balloon: fix balloon kthread freezing
    - tty: Fix out-of-bound vmalloc access in imageblit
    - cpufreq: schedutil: Use kobject release() method to free sugov_tunables
    - cpufreq: schedutil: Destroy mutex before kobject_put() frees the memory
    - mac80211: fix use-after-free in CCMP/GCMP RX
    - [x86] kvmclock: Move this_cpu_pvti into kvmclock.h
    - ipvs: check that ip_vs_conn_tab_bits is between 8 and 20
    - mac80211: Fix ieee80211_amsdu_aggregate frag_tail bug
    - mac80211: limit injected vht mcs/nss in ieee80211_parse_tx_radiotap
    - sctp: break out if skb_header_pointer returns NULL in sctp_rcv_ootb
    - hwmon: (tmp421) Replace S_<PERMS> with octal values
    - hwmon: (tmp421) report /PVLD condition as fault
    - hwmon: (tmp421) fix rounding for negative values
    - e100: fix length calculation in e100_get_regs_len
    - e100: fix buffer overrun in e100_get_regs
    - Revert "block, bfq: honor already-setup queue merges"
    - scsi: csiostor: Add module softdep on cxgb4
    - af_unix: fix races in sk_peer_pid and sk_peer_cred accesses
      (CVE-2021-4203)
    - elf: don't use MAP_FIXED_NOREPLACE for elf interpreter mappings
    - ext4: fix potential infinite loop in ext4_dx_readdir()
    - net: udp: annotate data race around udp_sk(sk)->corkflag
    - [armel,armhf] 9077/1: PLT: Move struct plt_entries definition to header
    - [armel,armhf] 9078/1: Add warn suppress parameter to arm_gen_branch_link()
    - [armel,armhf] 9079/1: ftrace: Add MODULE_PLTS support
    - [armel,armhf] 9098/1: ftrace: MODULE_PLT: Fix build problem without
      DYNAMIC_FTRACE
    - [x86] crypto: ccp - fix resource leaks in ccp_run_aes_gcm_cmd()
      (CVE-2021-3744, CVE-2021-3764)
    - HID: betop: fix slab-out-of-bounds Write in betop_probe
    - netfilter: ipset: Fix oversized kvmalloc() calls
    - HID: usbhid: free raw_report buffers in usbhid_stop
    - cred: allow get_cred() and put_cred() to be given NULL.
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.210
    - net: mdio: introduce a shutdown method to mdio device drivers
    - xen-netback: correct success/error reporting for the SKB-with-fraglist
      case
    - scsi: sd: Free scsi_disk device via put_device()
    - [arm*] usb: dwc2: check return value after calling platform_get_resource()
    - scsi: ses: Retry failed Send/Receive Diagnostic commands
    - libata: Add ATA_HORKAGE_NO_NCQ_ON_ATI for Samsung 860 and 870 SSD.
    - lib/timerqueue: Rely on rbtree semantics for next timer (CVE-2021-20317)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.19.211
    - USB: cdc-acm: fix racy tty buffer accesses
    - USB: cdc-acm: fix break reporting
    - xen/privcmd: fix error handling in mmap-resource processing
    - ovl: fix missing negative dentry check in ovl_rename() (CVE-2021-20321)
    - nfsd4: Handle the NFSv4 READDIR 'dircount' hint being zero
    - xen/balloon: fix cancelled balloon action
    - [armhf] dts: omap3430-sdp: Fix NAND device node
    - [mips,mipsel] bpf, mips: Validate conditional branch offsets
      (CVE-2021-38300)
    - [armel,armhf] bpf, arm: Fix register clobbering in div/mod implementation
    - bpf: Fix integer overflow in prealloc_elems_and_freelist()
      (CVE-2021-41864)
    - phy: mdio: fix memory leak
    - net_sched: fix NULL deref in fifo_set_limit()
    - [i386] ptp_pch: Load module automatically if ID matches
    - [armhf] imx6: disable the GIC CPU interface before calling stby-poweroff
      sequence

