=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/kernel-team/linux
 Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
 
-Package: linux-support-4.19.0-0.bpo.19
+Package: linux-support-4.19.0-0.deb9.22
 Architecture: all
 Section: devel
 Depends: ${python3:Depends}, ${misc:Depends}
@@ -63,7 +63,7 @@
  appropriate version for the running kernel.
 Build-Profiles: <!stage1 !pkg.linux.notools !nopython>
 
-Package: linux-bootwrapper-4.19.0-0.bpo.19
+Package: linux-bootwrapper-4.19.0-0.deb9.22
 Architecture: powerpc powerpcspe ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Boot wrapper tools for Linux 4.19 on PowerPC
@@ -87,42 +87,43 @@
 Build-Profiles: <!stage1 !pkg.linux.nosource>
 Multi-Arch: foreign
 
-Package: linux-headers-4.19.0-0.bpo.19-common
+Package: linux-headers-4.19.0-0.deb9.22-common
 Architecture: all
 Depends: ${misc:Depends}
-Description: Common header files for Linux 4.19.0-0.bpo.19
+Description: Common header files for Linux 4.19.0-0.deb9.22
  This package provides the common kernel header files for Linux kernel
- version 4.19.0-0.bpo.19, generally used for building out-of-tree kernel
+ version 4.19.0-0.deb9.22, generally used for building out-of-tree kernel
  modules.  To obtain a complete set of headers you also need to install the
- linux-headers-4.19.0-0.bpo.19-(flavour) package, matching the flavour of
+ linux-headers-4.19.0-0.deb9.22-(flavour) package, matching the flavour of
  the kernel you intend the build for.
 Build-Profiles: <!stage1 !pkg.linux.nokernel>
 Multi-Arch: foreign
 
-Package: linux-headers-4.19.0-0.bpo.19-common-rt
+Package: linux-headers-4.19.0-0.deb9.22-common-rt
 Architecture: all
 Depends: ${misc:Depends}
-Description: Common header files for Linux 4.19.0-0.bpo.19-rt
+Description: Common header files for Linux 4.19.0-0.deb9.22-rt
  This package provides the common kernel header files for Linux kernel
- version 4.19.0-0.bpo.19 with the PREEMPT_RT featureset, generally used for
- building out-of-tree kernel modules.  To obtain a complete set of headers
- you also need to install the linux-headers-4.19.0-0.bpo.19-(flavour)
- package, matching the flavour of the kernel you intend the build for.
+ version 4.19.0-0.deb9.22 with the PREEMPT_RT featureset, generally used
+ for building out-of-tree kernel modules.  To obtain a complete set of
+ headers you also need to install the
+ linux-headers-4.19.0-0.deb9.22-(flavour) package, matching the flavour of
+ the kernel you intend the build for.
 Build-Profiles: <!stage1 !pkg.linux.nokernel>
 Multi-Arch: foreign
 
-Package: linux-headers-4.19.0-0.bpo.19-all
+Package: linux-headers-4.19.0-0.deb9.22-all
 Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64
-Depends: linux-headers-4.19.0-0.bpo.19-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
+Depends: linux-headers-4.19.0-0.deb9.22-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
 Description: All header files for Linux 4.19 (meta-package)
  This package depends against all architecture-specific kernel header files
  for Linux kernel version 4.19, generally used for building out-of-tree
  kernel modules.
 Build-Profiles: <!stage1 !pkg.linux.nokernel>
 
-Package: linux-headers-4.19.0-0.bpo.19-all-alpha
+Package: linux-headers-4.19.0-0.deb9.22-all-alpha
 Architecture: alpha
-Depends: ${misc:Depends}, linux-headers-4.19.0-0.bpo.19-alpha-generic (= ${binary:Version}), linux-headers-4.19.0-0.bpo.19-alpha-smp (= ${binary:Version})
+Depends: ${misc:Depends}, linux-headers-4.19.0-0.deb9.22-alpha-generic (= ${binary:Version}), linux-headers-4.19.0-0.deb9.22-alpha-smp (= ${binary:Version})
 Description: All header files for Linux 4.19 (meta-package)
  This package depends against all architecture-specific kernel header files
  for Linux kernel version 4.19, generally used for building out-of-tree
@@ -138,4 +139,3 @@
  Debian kernel files, but without references to Debian's signing
  certificates.
  .
- These can be used as a basis for configuring custom kernels.
