=== debian/tests/control ===
Tests: python
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.19.0-0.deb9.22-alpha-generic [alpha], linux-image-4.19.0-0.deb9.22-alpha-smp [alpha], linux-image-4.19.0-0.deb9.22-amd64 [amd64], linux-image-4.19.0-0.deb9.22-cloud-amd64 [amd64], linux-image-4.19.0-0.deb9.22-rt-amd64 [amd64], linux-image-4.19.0-0.deb9.22-arm64 [arm64], linux-image-4.19.0-0.deb9.22-rt-arm64 [arm64], linux-image-4.19.0-0.deb9.22-marvell [armel], linux-image-4.19.0-0.deb9.22-rpi [armel], linux-image-4.19.0-0.deb9.22-armmp [armhf], linux-image-4.19.0-0.deb9.22-armmp-lpae [armhf], linux-image-4.19.0-0.deb9.22-rt-armmp [armhf], linux-image-4.19.0-0.deb9.22-parisc [hppa], linux-image-4.19.0-0.deb9.22-parisc-smp [hppa], linux-image-4.19.0-0.deb9.22-parisc64-smp [hppa], linux-image-4.19.0-0.deb9.22-686 [i386], linux-image-4.19.0-0.deb9.22-686-pae [i386], linux-image-4.19.0-0.deb9.22-rt-686-pae [i386], linux-image-4.19.0-0.deb9.22-itanium [ia64], linux-image-4.19.0-0.deb9.22-mckinley [ia64], linux-image-4.19.0-0.deb9.22-m68k [m68k], linux-image-4.19.0-0.deb9.22-4kc-malta [mips mipsel], linux-image-4.19.0-0.deb9.22-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.19.0-0.deb9.22-octeon [mips mips64 mips64el mipsel], linux-image-4.19.0-0.deb9.22-loongson-3 [mips64el mipsel], linux-image-4.19.0-0.deb9.22-mips64r6 [mips64r6 mipsr6], linux-image-4.19.0-0.deb9.22-mips64r6el [mips64r6el mipsr6el], linux-image-4.19.0-0.deb9.22-mips32r6 [mipsr6], linux-image-4.19.0-0.deb9.22-mips32r6el [mipsr6el], linux-image-4.19.0-0.deb9.22-powerpc [powerpc], linux-image-4.19.0-0.deb9.22-powerpc-smp [powerpc], linux-image-4.19.0-0.deb9.22-powerpc64 [powerpc ppc64], linux-image-4.19.0-0.deb9.22-powerpcspe [powerpcspe], linux-image-4.19.0-0.deb9.22-powerpc64le [ppc64el], linux-image-4.19.0-0.deb9.22-riscv64 [riscv64], linux-image-4.19.0-0.deb9.22-s390x [s390x], linux-image-4.19.0-0.deb9.22-sh7751r [sh4], linux-image-4.19.0-0.deb9.22-sh7785lcr [sh4], linux-image-4.19.0-0.deb9.22-sparc64 [sparc64], linux-image-4.19.0-0.deb9.22-sparc64-smp [sparc64]
Classes: smp
