=== debian/tests/control ===
Tests: python
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.19.0-0.deb9.23-alpha-generic [alpha], linux-image-4.19.0-0.deb9.23-alpha-smp [alpha], linux-image-4.19.0-0.deb9.23-amd64 [amd64], linux-image-4.19.0-0.deb9.23-cloud-amd64 [amd64], linux-image-4.19.0-0.deb9.23-rt-amd64 [amd64], linux-image-4.19.0-0.deb9.23-arm64 [arm64], linux-image-4.19.0-0.deb9.23-rt-arm64 [arm64], linux-image-4.19.0-0.deb9.23-marvell [armel], linux-image-4.19.0-0.deb9.23-rpi [armel], linux-image-4.19.0-0.deb9.23-armmp [armhf], linux-image-4.19.0-0.deb9.23-armmp-lpae [armhf], linux-image-4.19.0-0.deb9.23-rt-armmp [armhf], linux-image-4.19.0-0.deb9.23-parisc [hppa], linux-image-4.19.0-0.deb9.23-parisc-smp [hppa], linux-image-4.19.0-0.deb9.23-parisc64-smp [hppa], linux-image-4.19.0-0.deb9.23-686 [i386], linux-image-4.19.0-0.deb9.23-686-pae [i386], linux-image-4.19.0-0.deb9.23-rt-686-pae [i386], linux-image-4.19.0-0.deb9.23-itanium [ia64], linux-image-4.19.0-0.deb9.23-mckinley [ia64], linux-image-4.19.0-0.deb9.23-m68k [m68k], linux-image-4.19.0-0.deb9.23-4kc-malta [mips mipsel], linux-image-4.19.0-0.deb9.23-5kc-malta [mips mips64 mips64el mipsel], linux-image-4.19.0-0.deb9.23-octeon [mips mips64 mips64el mipsel], linux-image-4.19.0-0.deb9.23-loongson-3 [mips64el mipsel], linux-image-4.19.0-0.deb9.23-mips64r6 [mips64r6 mipsr6], linux-image-4.19.0-0.deb9.23-mips64r6el [mips64r6el mipsr6el], linux-image-4.19.0-0.deb9.23-mips32r6 [mipsr6], linux-image-4.19.0-0.deb9.23-mips32r6el [mipsr6el], linux-image-4.19.0-0.deb9.23-powerpc [powerpc], linux-image-4.19.0-0.deb9.23-powerpc-smp [powerpc], linux-image-4.19.0-0.deb9.23-powerpc64 [powerpc ppc64], linux-image-4.19.0-0.deb9.23-powerpcspe [powerpcspe], linux-image-4.19.0-0.deb9.23-powerpc64le [ppc64el], linux-image-4.19.0-0.deb9.23-riscv64 [riscv64], linux-image-4.19.0-0.deb9.23-s390x [s390x], linux-image-4.19.0-0.deb9.23-sh7751r [sh4], linux-image-4.19.0-0.deb9.23-sh7785lcr [sh4], linux-image-4.19.0-0.deb9.23-sparc64 [sparc64], linux-image-4.19.0-0.deb9.23-sparc64-smp [sparc64]
Classes: smp
